> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dodopayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Discount Customer

> Detach a single customer from a discount's allowlist so they are no longer eligible for the discount.



## OpenAPI

````yaml delete /discounts/{discount_id}/customers/{customer_id}
openapi: 3.1.0
info:
  title: public
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 1.111.2
servers:
  - url: https://test.dodopayments.com/
    description: Test Mode Server Host
  - url: https://live.dodopayments.com/
    description: Live Mode Server Host
security: []
tags:
  - name: Products
  - name: Payments
  - name: Subscriptions
  - name: Addons
  - name: Customers
  - name: Refunds
  - name: Disputes
  - name: Events
  - name: License Keys
  - name: Entitlements
  - name: Licenses
  - name: Discounts
  - name: Meters
  - name: Credit Entitlements
  - name: Credit Entitlement Balances
  - name: Outgoing Webhooks
  - name: Checkout
  - name: Webhook Events
  - name: Payment Connector Webhooks
paths:
  /discounts/{discount_id}/customers/{customer_id}:
    delete:
      tags:
        - Discounts
      summary: DELETE /discounts/{discount_id}/customers/{customer_id}
      operationId: delete_discount_customer_handler
      parameters:
        - name: discount_id
          in: path
          description: Discount Id
          required: true
          schema:
            type: string
        - name: customer_id
          in: path
          description: Customer Id
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Detached customer (no content)
        '404':
          description: Discount not found, or customer not attached
        '500':
          description: Something went wrong :(
      security:
        - API_KEY: []
components:
  securitySchemes:
    API_KEY:
      type: http
      scheme: bearer

````